<?php

/*
 * getSpecies.php : service d'extraction des espèces d'une famille donnée
 *
 * -> méthodes : uniquement en GET
 * -> paramètres :
 *  code (valeurs possibles [bov|can|equ|fel])
 * -> retour :
 *  un tableau de résultats formatté JSON
 *
 * Exemple :
 *  requête = getSpecies.php?code=can
 *  réponse = ["chien","loup","renard","lycaon"]
 * 
 */

$result = array();

if ($_GET['code']) {
    $doc = new DOMDocument();
    $doc->load("./animaux.xml");
    $xpath = new DOMXpath($doc);

    $code = $_GET['code'];
    $esps = $xpath->query("//animaux/famille[@code='$code']/espece");

    if ($esps->length > 0) {
        foreach ($esps as $esp) {
            array_push($result, $esp->textContent);
        }
    }
    else {
        array_push($result, "ERROR :: wrong code [bov|can|equ|fel] !");
    }
}
else {
    array_push($result, "ERROR :: no code received !");
}

echo json_encode($result);

?>
